<?php

include_once('plugins/underconstruction/underConstruction.php');
require_once(get_stylesheet_directory() . '/settings/class.theme-settings.php');



//WSOMEGA SCRIPTS START
function ws_theme_scripts() {
	wp_enqueue_script('jquery');
	wp_enqueue_style('ws-normalize', get_template_directory_uri() . '/css/normalize.css');
	wp_enqueue_style('ws-style-core', get_template_directory_uri() . '/css/ws-style.css');
	wp_enqueue_style('ws-fontawesome', get_template_directory_uri() . '/scripts/fontawesome/css/fontawesome.css');
	wp_enqueue_style('ws-fontawesome-all', get_template_directory_uri() . '/scripts/fontawesome/css/all.css');
	if (wsomega_option('ws_checkbox_slider')):
	wp_enqueue_script('camera-packed-script', get_template_directory_uri() . '/scripts/slider/js/camera.packed.min.js', '', '', true);
	endif;
	wp_enqueue_script('themescripts', get_template_directory_uri() . '/scripts/wsthemescripts.packed.js', '', '', true);
	wp_enqueue_script('themescript', get_template_directory_uri() . '/scripts/wsthemescripts.js', '', '', true );
}
add_action('wp_enqueue_scripts', 'ws_theme_scripts');

//WSOMEGA SCRIPTS END
// WSOMEGA REMOVE SCRIPT VERSIONS START
function ws_remove_script_version($src){

  $parts = explode('?', $src);
  return $parts[0];
}
add_filter('script_loader_src', 'ws_remove_script_version', 15, 1);
add_filter('style_loader_src', 'ws_remove_script_version', 15, 1);
// WSOMEGA REMOVE SCRIPT VERSIONS END

// https://codex.wordpress.org/Automatic_Feed_Links
add_theme_support('automatic-feed-links');

if (!isset($content_width))
 $content_width = 900;

//WSOMEGA WP-ADMIN START
function ws_custom_admin_login_page(){
	echo '<style type="text/css">body {background-color: #f8f8f8; background-image: linear-gradient(to top, #ddd , #f8f8f8);}    h1 a { background:none!important;    width:320px!important; height:80px!important; } h1 { background:url(' . get_template_directory_uri() . '/images/client/logo.svg) center center no-repeat !important; background-size:contain!important; }</style>';
}
add_action('login_head', 'ws_custom_admin_login_page');


// Changes the logo link url on the login page
function ws_login_logo_url(){
	return home_url();
}
add_filter('login_headerurl', 'ws_login_logo_url');
// Changes the logo link title on the login page
function ws_login_logo_url_title(){
	return get_option('blogname');
}
add_filter('login_headertext', 'ws_login_logo_url_title');
//WSOMEGA WP-ADMIN END

//WSOMEGA MENUS
register_nav_menus(array(
  'primary' => __('Primary Menu', 'wsomega'),
  'primary-mobile' => __('Primary Mobile Menu', 'wsomega'),
  'secondary' => __('Secondary Menu', 'wsomega')
));



function wsomega_page_menu_args($args)
{


  $args['show_home'] = true;


  return $args;


}


add_filter('wp_page_menu_args', 'wsomega_page_menu_args');


function wsomega_widgets_init()


{


  register_sidebar(array(


    'name' => __('Sidebar 1', 'wsomega'),


    'id' => 'sidebar-1',


    'description' => __('Default Page Sidebar', 'wsomega'),


    'before_widget' => '<div id="%1$s" class="widget %2$s">',


    'after_widget' => '</div></div>',


    'before_title' => '<h3 class="widget-title">',


    'after_title' => '</h3><div class="summary">'


  ));


  register_sidebar(array(


    'name' => __('Sidebar 2', 'wsomega'),


    'id' => 'sidebar-2',


    'description' => __('', 'wsomega'),


    'before_widget' => '<div id="%1$s" class="widget %2$s">',


    'after_widget' => '</div></div>',


    'before_title' => '<h3 class="widget-title">',


    'after_title' => '</h3><div class="summary">'


  ));








 


 register_sidebar(array(


    'name' => __('Sidebar 3', 'wsomega'),


    'id' => 'sidebar-3',


    'description' => __('', 'wsomega'),


    'before_widget' => '<div id="%1$s" class="widget %2$s">',


    'after_widget' => '</div></div>',


    'before_title' => '<h3 class="widget-title">',








    'after_title' => '</h3><div class="summary">'


  ));

  register_sidebar(array(


    'name' => __('Section Widgets', 'wsomega'),


    'id' => 'section-widgets',


    'description' => __('', 'wsomega'),


    'before_widget' => '<div id="%1$s" class="widget %2$s">',


    'after_widget' => '</div></div>',


    'before_title' => '<h3 class="widget-title">',


    'after_title' => '</h3><div class="summary">'


  ));







  if (wsomega_option('ws_checkbox_testimonial')):


    register_sidebar(array(


      'name' => __('Testimonial Sidebar', 'wsomega'),


      'id' => 'sidebar-testimonials',


      'before_widget' => '<div id="%1$s" class="widget %2$s">',


      'after_widget' => '</div></div>',


      'before_title' => '<h3 class="widget-title">',


      'after_title' => '</h3><div class="summary">'


    ));


  endif;


}


add_action('init', 'wsomega_widgets_init');


add_filter('widgettext', 'do_shortcode');


add_filter('widget_text', 'execute_php', 100);


function execute_php($html)


{


  if (strpos($html, "<" . "?php") !== false) {


    ob_start();


    eval("?" . ">" . $html);


    $html = ob_get_contents();


    ob_end_clean();


  }


  return $html;


}


class wscontact_widget extends WP_Widget


{


  function __construct()


  {


    parent::__construct('wscontact_widget', __('Contact Info Widget', 'wscontact_widget_domain'), array(


      'description' => __('Sample widget based on WPBeginner Tutorial', 'wscontact_widget_domain')


    ));


  }


  public function widget($args, $instance)


  {


    $title = apply_filters('widget_title', $instance['title']);





    $phone = wsomega_option('ws_text_phone_1');


    $hours = wsomega_option('ws_textarea_hours');


    echo $args['before_widget'];


    if (!empty($title))


      echo $args['before_title'] . $title . $args['after_title'];


    echo __('<ul id="contactBox">');


    if (wsomega_option('ws_text_phone_1')):


      if (wp_is_mobile()):


        echo __('<li class="ws-phone"><i class="fal fa-mobile"></i><label>Phone:</label><span><a href="tel:1' . str_replace('-', '', $phone) . '" target="_blank">' . wsomega_option('ws_text_phone_1') . '</a></span></li>');


      else:


        echo __('<li class="ws-phone"><i class="fal fa-mobile"></i><label>Phone:</label><span>' . wsomega_option('ws_text_phone_1') . '</span></li>');


      endif;


    endif;


    if (wsomega_option('ws_text_phone_2')):


      echo __('<li class="ws-fax"><i class="fal fa-fax"></i><label>Fax:</label><span>' . wsomega_option('ws_text_phone_2') . '</span></li>');


    endif;


    if (wsomega_option('ws_text_email')):


      echo __('<li class="ws-email"><i class="fal fa-envelope"></i><label>Email:</label><span><a href="mailto:' . wsomega_option('ws_text_email') . '">' . wsomega_option('ws_text_email') . '</span></a></li>');


    else:


      echo __('<li class="ws-email"><i class="fal fa-envelope"></i><label>Email:</label><span><a href="mailto:' . get_option('admin_email') . '">' . get_option('admin_email') . '</span></a></li>');


    endif;


    if (wsomega_option('ws_text_address_1')):


      echo __('<li class="ws-address"><i class="fal fa-map-marker"></i><label>Address:</label><span>' . wsomega_option('ws_text_address_1') . '<br />' . wsomega_option('ws_text_address_2') . '</span></li>');


    endif;


    if (wsomega_option('ws_textarea_hours')):


      echo __('<li class="ws-hours"><i class="fal fa-clock"></i><label>Business Hours:</label><span>' . htmlspecialchars_decode(nl2br($hours)) . '</span></li>');


    endif;


    if (wsomega_option('ws_textarea_google_map')):


      echo __('<li class="ws-map"><div class="mbox">' . htmlspecialchars_decode(wsomega_option('ws_textarea_google_map')) . '</div></li>');


    endif;


    echo __('</ul>');


    echo $args['after_widget'];


  }


  public function form($instance)


  {


    if (isset($instance['title'])) {


      $title = $instance['title'];


    } else {


      $title = __('New title', 'wscontact_widget_domain');


    }


?>


<p>


  <label for="<?php


    echo $this->get_field_id('title');


?>">


    <?php


    _e('Title:');


?>


  </label>


  <input class="widefat" id="<?php


    echo $this->get_field_id('title');


?>" name="<?php


    echo $this->get_field_name('title');


?>" type="text" value="<?php


    echo esc_attr($title);


?>" />


</p>


<?php


  }


  public function update($new_instance, $old_instance)


  {


    $instance          = array();


    $instance['title'] = (!empty($new_instance['title'])) ? strip_tags($new_instance['title']) : '';


    return $instance;


  }


}


function wscontact_load_widget()


{


  register_widget('wscontact_widget');


}


add_action('widgets_init', 'wscontact_load_widget');


function new_excerpt_length($length)








{








  global $post;








  if ($post->post_type == 'testimonials')





    return 50;





  else if ($post->post_type == 'slider')





    return 10;


	


	 // WSOMEGA MENU START


	  else if ($post->post_type == 'menu')





    return 10;


 // WSOMEGA MENU END


  else








    return 30;








}








add_filter('excerpt_length', 'new_excerpt_length');








function new_excerpt_more($more) {





  global $post;


 // WSOMEGA MENU START


	 if ($post->post_type == 'menu')





     return ' <a href="' . get_permalink($post->ID) . '" class="ws-read-more">... </a>';





  else


 // WSOMEGA MENU END


  return ' <a href="' . get_permalink($post->ID) . '" class="ws-read-more">... </a>';





}








add_filter('excerpt_more', 'new_excerpt_more');





function custom_wp_trim_excerpt($text)


{


  $raw_excerpt = $text;


  if ('' == $text) {





    $text               = get_the_content('');


    $text               = strip_shortcodes($text);


    $text               = apply_filters('the_content', $text);


    $text               = str_replace(']]>', ']]&gt;', $text);


    $allowed_tags       = '<div>';


    $text               = strip_tags($text, $allowed_tags);


    $excerpt_word_count = 55;


    $excerpt_length     = apply_filters('excerpt_length', $excerpt_word_count);


    $excerpt_end        = '[...]';


    $excerpt_more       = apply_filters('excerpt_more', ' ' . $excerpt_end);


    $words              = preg_split("/[\n\r\t ]+/", $text, $excerpt_length + 1, PREG_SPLIT_NO_EMPTY);


    if (count($words) > $excerpt_length) {


      array_pop($words);


      $text = implode(' ', $words);


      $text = $text . $excerpt_more;


    } else {


      $text = implode(' ', $words);


    }


  }


  return apply_filters('wp_trim_excerpt', $text, $raw_excerpt);


}


remove_filter('get_the_excerpt', 'wp_trim_excerpt');


add_filter('get_the_excerpt', 'custom_wp_trim_excerpt');


add_theme_support('post-thumbnails');


function ws_add_image_sizes()


{


  add_image_size('wsomega-header', 2000, 1000, true);

  add_image_size('wsomega-banner', 1400, 700, true);
  
  add_image_size('wsomega-thumbnail',700, 350, true);
  
  add_image_size('wsomega-gallery-thumbnail',400, 400, true);
  
  add_image_size('wsomega-preview', 55, 55, true);





}


add_action('init', 'ws_add_image_sizes');


function ws_show_image_sizes($sizes)


{


  $sizes['wsomega-banner'] = __('Default Banner', 'wsomega');


  return $sizes;


}


add_filter('image_size_names_choose', 'ws_show_image_sizes');


add_filter('post_thumbnail_size', 'ws_post_image_size');


function ws_post_image_size($size)


{


  return $size;


}







// WSOMEGA SLIDER FUNCTION START

if (wsomega_option('ws_checkbox_slider')):


function wsomega_slider_initialize() { ?>


<script>


jQuery(function(){


	jQuery('.camera_wrap').camera({


		<?php if (wsomega_option('ws_text_slider_time')): ?>time: <?php echo wsomega_option('ws_text_slider_time'); ?>,<?php endif; ?>


		<?php if (wsomega_option('ws_text_slider_transtion')): ?>transPeriod: <?php echo wsomega_option('ws_text_slider_transition'); ?>,<?php endif; ?>


		fx: '<?php echo wsomega_option('ws_select_slider_fx'); ?>',


		slicedCols: <?php echo wsomega_option('ws_text_slider_columns');?>,


		navigation: <?php  echo wsomega_option('ws_select_slider_navigation'); ?>,


		playPause: <?php echo wsomega_option('ws_select_slider_play'); ?>,


		autoAdvance: <?php echo wsomega_option('ws_select_slider_auto_start'); ?>,


		pagination: <?php echo wsomega_option('ws_select_slider_pagination'); ?>,


		thumbnails: <?php echo wsomega_option('ws_select_slider_thumbnails');?>,


		height:'auto',


		loader: 'none',


		navigationHover: true, 


		hover:false,

		opacityOnGrid: false


	});


});

</script>


<?php }


add_action('wp_head', 'wsomega_slider_initialize');

// WS SLIDER ACF
include ('settings/ws-function-acf-slider.php');

endif;



// WSOMEGA SLIDER FUNCTION END




// IF WOOCOMMERCE IS INSTALLED START

if (class_exists('Woocommerce')):

// ADD WSOMEGA WOOCOMMERCE CSS
  add_theme_support('woocommerce');
  add_filter('woocommerce_enqueue_styles', '__return_false');
  function wp_enqueue_woocommerce_style() {
       wp_register_style('woocommerce', get_template_directory_uri() . '/css/woocommerce.css');
       wp_enqueue_style('woocommerce');
}
  add_action('wp_enqueue_scripts', 'wp_enqueue_woocommerce_style');
//







add_action('init', 'ws_woo_placeholder');

function ws_woo_placeholder()

	{





		add_filter('woocommerce_placeholder_img_src', 'ws_woo_placeholder_img_src');





		function ws_woo_placeholder_img_src($src)





			{





				$placeholder_dir = get_template_directory_uri();





				$src = $placeholder_dir . '/images/client/placeholder.png';





				return $src;





			}



}






  function ws_wsomega_remove_password_strength() {


	if ( wp_script_is( 'wc-password-strength-meter', 'enqueued' ) ) {


		wp_dequeue_script( 'wc-password-strength-meter' );


		}


	}


  add_action( 'wp_print_scripts', 'ws_wsomega_remove_password_strength', 100 );


  add_filter('woocommerce_price_trim_zeros', 'wc_hide_trailing_zeros', 10, 1);


  function wc_hide_trailing_zeros($trim) {


	  return true;


 }
 add_filter('woocommerce_empty_price_html', 'ws_blank_price_message');


  function ws_blank_price_message() {


     return 'Call for Price';


 } 





 function my_account_menu_order() {


 	$menuOrder = array(


 		'dashboard'          => __( 'Dashboard', 'woocommerce' ),


 		'orders'             => __( 'Orders', 'woocommerce' ),


 		'downloads'          => __( 'Downloads', 'woocommerce' ),


 		'edit-address'       => __( 'Addresses', 'woocommerce' ),


 		'edit-account'    	=> __( 'Account Details', 'woocommerce' ),
		
		'payment-methods'    	=> __( 'Payment Method', 'woocommerce' ),


 		'customer-logout'    => __( 'Logout', 'woocommerce' ),


 	);


 	return $menuOrder;


 }


 add_filter ( 'woocommerce_account_menu_items', 'my_account_menu_order' );

 add_filter( 'woocommerce_defer_transactional_emails', '__return_false' );



// WOO LOOP BUTTON START

 function remove_loop_button(){


	 remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10 );


	 }


  add_action('init','remove_loop_button');


  add_action('woocommerce_after_shop_loop_item','replace_add_to_cart');





function replace_add_to_cart() {


  global $product;


  $link = $product->get_permalink();


  echo '<a href="'.$link.'" class="button ws-button">View Item</a>'; 


}

// WOO LOOP BUTTON START END


function iconic_variable_price_format( $price, $product ) {


 


    $prefix = sprintf('%s: ', __('Starting From', 'iconic'));


 


    $min_price_regular = $product->get_variation_regular_price( 'min', true );


    $min_price_sale    = $product->get_variation_sale_price( 'min', true );


    $max_price = $product->get_variation_price( 'max', true );


    $min_price = $product->get_variation_price( 'min', true );


 


    $price = ( $min_price_sale == $min_price_regular ) ?


        wc_price( $min_price_regular ) :


        '<del>' . wc_price( $min_price_regular ) . '</del>' . '<ins>' . wc_price( $min_price_sale ) . '</ins>';


 


    return ( $min_price == $max_price ) ?


        $price :


        sprintf('%s%s', $prefix, $price);


 


}


 


add_filter( 'woocommerce_variable_sale_price_html', 'iconic_variable_price_format', 10, 2 );


add_filter( 'woocommerce_variable_price_html', 'iconic_variable_price_format', 10, 2 );





// WOO TABS


if (wsomega_option('ws_checkbox_woo_tabs')):

add_filter( 'woocommerce_product_tabs', 'woo_remove_product_tabs', 98 );

function woo_remove_product_tabs( $tabs ) {


    unset( $tabs['description'] ); 	    	// Remove the description tab

    unset( $tabs['reviews'] ); 			// Remove the reviews tab

    unset( $tabs['additional_information'] );  	// Remove the additional information tab

    return $tabs;

}


endif;


 add_filter('loop_shop_columns', 'loop_columns');


  if (!function_exists('loop_columns')) {


    function loop_columns()

    {

      return wsomega_option('ws_select_grid_woo');

    }

  }



//  add_filter('loop_shop_per_page', create_function('$cols', 'return ' . wsomega_option('ws_checkbox_woo_per') . ';'), 20);




  if (wsomega_option('ws_checkbox_woo_sidebar')):


// WOO SIDEBAR

 register_sidebar(array(

      'name' => __('Shop Sidebar', 'wsomega'),

      'id' => 'sidebar-shop',

      'description' => __('Shop Sidebar', 'wsomega'),

      'before_widget' => '<div id="%1$s" class="widget %2$s">',

      'after_widget' => '</div></div>',

      'before_title' => '<h3 class="widget-title">',

      'after_title' => '</h3><div class="summary">'

    ));


  else:




    remove_action('woocommerce_after_single_product_summary', 'woocommerce_output_product_data_tabs', 10);

    remove_action('woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20);

    add_action('woocommerce_single_product_summary', 'woocommerce_output_product_data_tabs', 60);

    add_action('woocommerce_single_product_summary', 'woocommerce_output_related_products', 60);



  endif;

 

// REMOVE WOO STATES & COUNTRY DROPDOWN STYLE START


add_action( 'wp_enqueue_scripts', 'wsis_dequeue_stylesandscripts_select2', 100 );


function wsis_dequeue_stylesandscripts_select2() {



    if ( class_exists( 'woocommerce' ) ) {

        wp_dequeue_style( 'selectWoo' );

        wp_deregister_style( 'selectWoo' );

        wp_dequeue_script( 'selectWoo');

        wp_deregister_script('selectWoo');

    } 

} 
// REMOVE WOO STATES & COUNTRY DROPDOWN STYLE END

// WOO RELATED PRODUCTS START
 if (wsomega_option('ws_checkbox_woo_related')):

    function woo_related_products_limit()

    {

      global $product;

      $args['posts_per_page'] = wsomega_option('ws_select_grid_woo');

      return $args;

    }


    add_filter('woocommerce_output_related_products_args', 'ws_related_products_args');

    function ws_related_products_args($args)

    {


      $args['posts_per_page'] = wsomega_option('ws_select_grid_woo');

      $args['columns']        = wsomega_option('ws_select_grid_woo');

      return $args;


    }

  else:

    remove_action('woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20);

	remove_action('woocommerce_single_product_summary', 'woocommerce_output_related_products', 60);


  endif;
// WOO RELATED PRODUCTS END





endif;

// ADD PLUS MINUS QUANTITY START https://gist.github.com/helgatheviking/6abe7385c23ba4238710ba6d1ccc5181
 
function ws_woo_qty_js(){
    if( ! is_admin() ) { ?>
    <script>
   jQuery(document).ready(function($){

    $(document).on('click', '.plus', function(e) { // replace '.quantity' with document (without single quote)
        $input = $(this).prev('input.qty');
        var val = parseInt($input.val());
        var step = $input.attr('step');
        step = 'undefined' !== typeof(step) ? parseInt(step) : 1;
        $input.val( val + step ).change();
    });
    $(document).on('click', '.minus',  // replace '.quantity' with document (without single quote)
        function(e) {
        $input = $(this).next('input.qty');
        var val = parseInt($input.val());
        var step = $input.attr('step');
        step = 'undefined' !== typeof(step) ? parseInt(step) : 1;
        if (val > 0) {
            $input.val( val - step ).change();
        } 
    });
 });
</script>
<?php }
}
add_action( 'wp_footer', 'ws_woo_qty_js' );


// ADD PLUS MINUS QUANTITY END




// WS CART IN HEADER AND FRAGMENTS


 
if ( ! function_exists( 'wsomega_woocommerce_cart_link_fragment' ) ) {

	function wsomega_woocommerce_cart_link_fragment( $fragments ) {
		ob_start();
		wsomega_woocommerce_cart_link();
		$fragments['a.cart-contents'] = ob_get_clean();

		return $fragments;
	}
}
add_filter( 'woocommerce_add_to_cart_fragments', 'wsomega_woocommerce_cart_link_fragment' );

if ( ! function_exists( 'wsomega_woocommerce_cart_link' ) ) {
	function wsomega_woocommerce_cart_link() {
		?>
		<a class="cart-contents" href="<?php echo esc_url( wc_get_cart_url() ); ?>" title="<?php esc_attr_e( 'View your shopping cart', 'wsomega' ); ?>">
			<?php
			$item_count_text = sprintf(
			
				_n( '%d item', '%d items', WC()->cart->get_cart_contents_count(), 'wsomega' ),
				WC()->cart->get_cart_contents_count()
			);
			?>
		<span class="amount"><?php echo wp_kses_data( WC()->cart->get_cart_subtotal() ); ?> -</span> <span class="count"><?php echo esc_html( $item_count_text ); ?></span>
		</a>
		<?php
	}
}

if ( ! function_exists( 'wsomega_woocommerce_header_cart' ) ) { function wsomega_woocommerce_header_cart() { ?>
<i class="fal fa-shopping-bag"></i> <?php wsomega_woocommerce_cart_link(); ?>
 <?php
	}
}

// WS CART IN HEADER AND FRAGMENTS END

// IF WOOCOMMERCE IS INSTALLED END




add_filter('single_template', 'check_for_category_single_template');


function check_for_category_single_template($t)


{


  foreach ((array) get_the_category() as $cat) {


    if (file_exists(get_template_directory() . "/single-category-{$cat->slug}.php"))

      return get_template_directory() . "/single-category-{$cat->slug}.php";

    if ($cat->parent) {

      $cat = get_the_category_by_ID($cat->parent);

      if (file_exists(get_template_directory() . "/single-category-{$cat->slug}.php"))

        return get_template_directory() . "/single-category-{$cat->slug}.php";

    }

  }

  return $t;

}


function wpb_imagelink_setup()




{

  $image_set = get_option('image_default_link_type');



  if ($image_set !== 'none') {


    update_option('image_default_link_type', 'none');

  }

}

add_action('admin_init', 'wpb_imagelink_setup', 10);


add_filter('show_admin_bar', '__return_false');

 


function add_comment_author_to_reply_link($link, $args, $comment)


{


  $comment = get_comment($comment);


  if (empty($comment->comment_author)) {


    if (!empty($comment->user_id)) {


      $user   = get_userdata($comment->user_id);


      $author = $user->user_login;


    } else {


      $author = __('Anonymous');


    }


  } else {


    $author = $comment->comment_author;


  }


  if (strpos($author, ' ')) {


    $author = substr($author, 0, strpos($author, ' '));


  }


  $reply_link_text = $args['reply_text'];


  $link            = str_replace($reply_link_text, 'Reply to ' . $author, $link);


  return $link;


}


add_filter('comment_reply_link', 'add_comment_author_to_reply_link', 10, 3);


function comment_reform($arg)


{


  $arg['title_reply'] = __('<span><i class="fal fa-comment-alt"></i></span>Leave a Comment');


  return $arg;


}


add_filter('comment_form_defaults', 'comment_reform');


add_theme_support('html5', array(


  'search-form'


));


function hatom_mod_post_content($content)


{


  if (in_the_loop() && !is_page()) {


    $content = '<div class="summary">' . $content . '</div>';


  }


  return $content;


}


add_filter('the_content', 'hatom_mod_post_content');


function add_suf_hatom_data($content)


{


  $t      = get_the_modified_time('F jS, Y');


  $author = get_the_author();


  $title  = get_the_title();


  if (is_home() || is_singular() || is_archive()) {


    $content .= '<div class="ws-hatom-extra"><span class="entry-title">' . $title . '</span> was last modified: <span class="updated"> ' . $t . '</span> by <span class="author vcard"><span class="fn">' . $author . '</span></span></div>';


  }


  return $content;


}


add_filter('the_content', 'add_suf_hatom_data');


add_filter('the_content', 'remove_empty_p', 20, 1);










function remove_empty_p($content){










    $content = force_balance_tags($content);


    return preg_replace('#<p>\s*+(<br\s*/*>)?\s*</p>#i', '', $content);


}



if (wsomega_option('ws_checkbox_popup')):


 if (wsomega_option('ws_checkbox_popup_button')):







 function add_ws_popup_button( $items, $args ){







	 if( is_admin() ||  $args->theme_location != 'primary' )







	 return $items;







	 if (wsomega_option('ws_text_popup_button')):







     $wsbtn = wsomega_option('ws_text_popup_button');







	 $link = '<a href="#wsPopUp" class="various">'. $wsbtn . '</a>';







	 else :







	 $link = '<a href="#wsPopUp" class="various">Sign Up</a>';







	 endif;







	 return $items.= '<li id="wsPopUpLink" class="menu-item menu-type-link">'. $link . '</li>';







 }







 add_filter( 'wp_nav_menu_items', 'add_ws_popup_button', 50, 2 );







 endif;







 







endif;
 

/*	


* Getting script tags


* Thanks http://wordpress.stackexchange.com/questions/54064/how-do-i-get-the-handle-for-all-enqueued-scripts


*/


/*add_action( 'wp_print_scripts', 'wsds_detect_enqueued_scripts' );


function wsds_detect_enqueued_scripts() {


	global $wp_scripts;


	foreach( $wp_scripts->queue as $handle ) :


		echo $handle . ' | ';


	endforeach;


}*/


add_filter( 'script_loader_tag', 'wsds_defer_scripts', 10, 3 );


function wsds_defer_scripts( $tag, $handle, $src ) {


	// The handles of the enqueued scripts we want to defer


	$defer_scripts = array( 


'carousel','parallax','videobg','themescripts','themescript','comment-reply','wc-add-to-cart','woocommerce','wc-cart-fragments','jquery','mobile-script','easing-script','camera-script', 

	);


    if ( in_array( $handle, $defer_scripts ) ) {


        return '<script src="' . $src . '" defer="defer" type="text/javascript"></script>' . "\n";


    }








    return $tag;





}


// WSOMEGA GALLERY OUTPUT





add_filter('post_gallery', 'ws_post_gallery', 10, 2);





function ws_post_gallery($output, $attr)





{





  global $post, $wp_locale;





  static $instance = 0;





  $instance++;





  if (isset($attr['orderby'])) {





    $attr['orderby'] = sanitize_sql_orderby($attr['orderby']);





    if (!$attr['orderby']) {





      unset($attr['orderby']);





    }





  }





  extract(shortcode_atts(array(





    'order' => 'ASC',





    'orderby' => 'menu_order ID',





    'id' => $post->ID,





    'itemtag' => 'div',





    'icontag' => 'dt',





    'captiontag' => 'figcaption',





    'columns' => 3,





    'size' => 'wsomega-gallery-thumbnail',





    'attachment' => 'large',





    'include' => '',





    'exclude' => ''





  ), $attr));





  $id = intval($id);





  if ('RAND' == $order) {





    $orderby = 'none';





  }





  if (!empty($include)) {





    $include      = preg_replace('/[^0-9,]+/', '', $include);





    $_attachments = get_posts(array(





      'include' => $include,





      'post_status' => 'inherit',





      'post_type' => 'attachment',





      'post_mime_type' => 'image',





      'order' => $order,





      'orderby' => $orderby





    ));





    $attachments  = array();





    foreach ($_attachments as $key => $val) {





      $attachments[$val->ID] = $_attachments[$key];





    }





  } elseif (!empty($exclude)) {





    $exclude     = preg_replace('/[^0-9,]+/', '', $exclude);





    $attachments = get_children(array(





      'post_parent' => $id,





      'exclude' => $exclude,





      'post_status' => 'inherit',





      'post_type' => 'attachment',





      'post_mime_type' => 'image',





      'order' => $order,





      'orderby' => $orderby





    ));





  } else {





    $attachments = get_children(array(





      'post_parent' => $attr['id'],





      'post_status' => 'inherit',





      'post_type' => 'attachment',





      'post_mime_type' => 'image',





      'order' => $attr['order'],





      'orderby' => $attr['orderby']





    ));





  }





  if (empty($attachments)) {





    return;





  }





  if (is_feed()) {





    $output = '';





    foreach ($attachments as $att_id => $attachment) {





      $output .= wp_get_attachment_link($att_id, $size, true) . "\n";





    }





    return $output;





  }





  $itemtag    = tag_escape($itemtag);





  $captiontag = tag_escape($captiontag);





  $columns    = intval($columns);





  $itemwidth  = $columns > 0 ? floor(100 / $columns) : 100;





  $float      = is_rtl() ? 'right' : 'left';





  $selector   = "gallery-{$instance}";





  $output     = apply_filters('gallery_style', '');





  $i          = 0;





  $output .= '<div class="ws-gallery">';





  foreach ($attachments as $id => $attachment) {





    $link = isset($attr['link']) && 'file' == $attr['link'] ? wp_get_attachment_link($id, $size, false, false) : wp_get_attachment_link($id, $size, true, false);





    $output .= "<{$itemtag} class='item'><figure class='ibox'>";





    $output .= "$link";





    if ($captiontag && trim($attachment->post_excerpt)) {





      $output .= "<{$captiontag}>" . wptexturize($attachment->post_excerpt) . "</{$captiontag}>";





    }





    $output .= "</figure>





</{$itemtag}>";





    if ($columns > 0 && ++$i % $columns == 0) {





      $output .= '';





    }





  }





  $output .= "<br>\n";





  $output .= '</div>';





  return $output;





}


// WSOMEGA SHORTCODES //





function wsomega_class_wscol( $atts, $content = null  ){








	// Attributes


	$atts = shortcode_atts(


		array(


			'columns' => '2',


			 


		),


		$atts 


	 


	);

  return '<div class="ws-col ws-col-' . $atts['columns'] . '">' . $content . '</div>';

}

add_shortcode( 'col', 'wsomega_class_wscol' );


// ADDED ON Version: 16.6.2 //

function wsomega_class_ibox( $atts , $content = null ) {

	// Attributes


	$atts = shortcode_atts(


		array(


			'width' => 'full',


			'float' => 'none',


		),


		$atts,


		'ibox'


	);

	// Return image HTML code


	return '<div class="ibox iboxfloat-' . $atts['float'] . ' iboxwidth-' . $atts['width'] . '">' . $content . '</div>';
}


add_shortcode( 'ibox', 'wsomega_class_ibox' );
 
  
 
// WSOMEGA ADD WS PAGE LAYOUT CLASS TO BODY CLASS
 
function ws_add_page_layout_body_class($class) {
    $queried_object_id = get_queried_object_id();
    $value = get_field('ws_page_layout', $queried_object_id);
    $class[] = $value;
    return $class;
}
add_filter('body_class', 'ws_add_page_layout_body_class');


// WSOMEGA TESTIMONIALS 
include ('settings/ws-function-testimonials.php');


//WSOMEGA ACF FUNCTIONS
include ('settings/ws-function-acf-page-options.php');
include ('settings/ws-function-acf-sections.php');
include ('settings/ws-function-acf-tabs.php');
include ('settings/ws-function-acf-faqs.php');