<?php



/** * @package WordPress * @subpackage wsomega */?>



<!DOCTYPE html>



<html <?php language_attributes(); ?>>

<head>

<meta charset="<?php bloginfo( 'charset' ); ?>" />

<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

<title>

<?php wp_title(''); ?>

</title>

<link rel="profile" href="http://gmpg.org/xfn/11" />

<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />

<?php if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); ?>

<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />



<!--[if gte IE 9]>  <style type="text/css"> 



















    .gradient {       filter: none;



















    }



















  </style>



















<![endif]-->



<!--[if lt IE 9]><script src="<?php echo get_template_directory_uri(); ?>/scripts/html5.js" type="text/javascript"></script><![endif]-->



<?php if ( wsomega_option('ws_textarea_scripts') ) : ?>

<?php echo htmlspecialchars_decode(wsomega_option('ws_textarea_scripts')); ?>

<?php endif; ?>

<?php wp_head(); ?>

</head>



<body <?php body_class(); ?>>

 

<div id="page" class="hfeed">

<div id="wsMobileNav">

  <div class="ws-logo"> <a href="<?php echo home_url();?>" title="<?php bloginfo('name');?> | <?php bloginfo('description');?>">

    <figure class="ibox">

      <?php if ( wsomega_option('ws_text_header_logo_mobile') ) : ?>

      <img src="<?php echo wsomega_option('ws_text_header_logo_mobile'); ?>" alt="<?php bloginfo('name');?>" title="Logo for <?php bloginfo('name');?>">

      <?php else : ?>

      <img src="<?php echo get_template_directory_uri();?>/images/client/logo-mobile.svg" alt="<?php bloginfo('name');?>">

      <?php endif; ?>

    </figure>

    </a> </div>

  <div id="wsMobileNavButton">

    <div id="wsMobileNavIcon"> <span></span> <span></span> <span></span> <span></span> </div>

  </div>

  <div id="wsMobileNavRight">

    <?php if ( class_exists('Woocommerce') ) : ?>

    <?php if ( WC()->cart->get_cart_contents_count() == 0 ) :?>

    <?php else : ?>

    <div class="ws-cart-mobile">

      <?php wsomega_woocommerce_header_cart(); ?>

    </div>

    <?php endif; ?>

    <div class="ws-user-mobile"> <a href="<?php echo home_url();?>/?page_id=<?php echo get_option( 'woocommerce_myaccount_page_id' );?>"><i class="fal fa-user"></i></a></div>

    <?php endif; ?>

    <?php if ( wsomega_option('ws_text_phone_1') ) : ?>

    <div class="ws-phone-mobile"><a href="tel:1<?php $phone = wsomega_option('ws_text_phone_1'); echo str_replace('-', '', $phone);?> " target="_blank"> <i class="fal fa-mobile"></i> </a></div>

    <?php endif; ?>

  </div>

  <hr class="ws-clear">

  <nav>

    <?php wp_nav_menu( array( 'theme_location' => 'primary-mobile', 'container_id' => 'ws-mobile-nav')); ?>

  </nav>

</div>

<?php if ( class_exists('Woocommerce') ) : ?>

<div id="wsNavWoo">

  <div class="ws-wrap">

    <?php if ( WC()->cart->get_cart_contents_count() == 0 ) :?>

    <?php else : ?>

    <div class="ws-cart">

      <?php wsomega_woocommerce_header_cart(); ?>

    </div>

    <?php endif; ?>

    <div class="ws-welcome">

      <?php if ( is_user_logged_in() ) : ?>

      <?php global $current_user;





      wp_get_current_user();





      echo 'Hello ' . $current_user->display_name . '. Would you like to see your <a href="'.home_url().'/?page_id='.get_option( 'woocommerce_myaccount_page_id' ).'">account</a> or <a href="'. wp_logout_url(home_url()).'">logout</a>.';





?>

      <?php else : ?>

      Welcome visitor you can <a href="<?php echo home_url();?>/?page_id=<?php echo get_option( 'woocommerce_myaccount_page_id' );?>">login</a> or <a href="<?php echo home_url();?>/?page_id=<?php echo get_option( 'woocommerce_myaccount_page_id' );?>">create an account</a>.

      <?php endif; ?>

    </div>

    <hr class="ws-clear">

  </div>

</div>

<?php endif; ?>

<header id="wsHead" class="ws-sticky">

  <div class="ws-wrap">

    <div class="ws-logo"> <a href="<?php echo home_url();?>" title="<?php bloginfo('name');?> | <?php bloginfo('description');?>">

      <figure class="ibox">

        <?php if ( wsomega_option('ws_text_header_logo') ) : ?>

        <img src="<?php echo wsomega_option('ws_text_header_logo'); ?>" alt="<?php bloginfo('name');?>" title="Logo for <?php bloginfo('name');?>">

        <?php else : ?>

        <img src="<?php echo get_template_directory_uri();?>/images/client/logo.svg" alt="<?php bloginfo('name');?>">

        <?php endif; ?>

      </figure>

      </a> </div>

    <?php if ( wsomega_option('ws_checkbox_phone') ) : ?>

    <div class="ws-phone">

      <?php if ( wsomega_option('ws_text_phone_1') ) : ?>

      <a class="ws-button ws-button-i"><span><i class="fal fa-mobile"></i></span><?php echo wsomega_option('ws_text_phone_1');?></a>

      <?php endif; ?>

    </div>

    <?php endif; ?>

    <nav id="wsNavWrap">

      <?php wp_nav_menu( array( 'theme_location' => 'primary' ,'container_id' => 'wsNav', 'menu_class' => 'sf-menu')); ?>

    </nav>

    <hr class="ws-clear">

  </div>

</header>

<div id="wsBody">

<?php get_template_part( 'ws-module-slider' ); ?>

<?php if ( is_front_page() ) : ?>

<div id="wsHome">

<div id="main">

<?php elseif (is_page_template('page-section.php')) : ?>

<div>

<div id="main">

<?php else : ?>

<div class="ws-wrap">

<div id="main" class="ws-page-layout">

<?php endif; ?>

